Bug 94372 - Not possible to open or insert a JPG compressed TIFF
Summary: Not possible to open or insert a JPG compressed TIFF
Status: NEW
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: filters and storage (show other bugs)
Version:
(earliest affected)
Inherited From OOo
Hardware: Other All
: medium normal
Assignee: Not Assigned
URL:
Whiteboard:
Keywords:
Depends on:
Blocks: Images-TIFF
  Show dependency treegraph
 
Reported: 2015-09-20 08:52 UTC by Yousuf Philips (jay) (retired)
Modified: 2019-06-28 19:07 UTC (History)
1 user (show)

See Also:
Crash report or crash signature:


Attachments
sample tiff (791.41 KB, image/tiff)
2015-09-20 08:52 UTC, Yousuf Philips (jay) (retired)
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Yousuf Philips (jay) (retired) 2015-09-20 08:52:16 UTC
Created attachment 118870 [details]
sample tiff

Its not possible to open a jpg compressed TIFF file in LO.

Sample file was taken from http://www.nightprogrammer.org/development/multipage-tiff-example-download-test-image-file/

Version: 5.1.0.0.alpha1+
Build ID: cbf3fac0a5a1be34b2e1a58da959debd24ebc017
TinderBox: Linux-rpm_deb-x86_64@70-TDF, Branch:master, Time: 2015-09-17_07:03:22
Locale: en-US (en_US.UTF-8)
Comment 1 MM 2015-09-20 11:09:15 UTC
Confirmed with v4.4.5.2 under windows 7 x64.

While testing I found out that LO also doesn't import TIFF with deflate compression.
Comment 2 QA Administrators 2016-11-08 10:39:03 UTC Comment hidden (obsolete)
Comment 3 Yousuf Philips (jay) (retired) 2017-12-04 10:41:07 UTC
Still not possible to open it in Draw or insert it into Writer. It gives an 'unknown image format' dialog.

Version: 6.0.0.0.beta1
Build ID: 97471ab4eb4db4c487195658631696bb3238656c
CPU threads: 2; OS: Linux 4.4; UI render: default; VCL: gtk2; 
Locale: ar-SA (en_US.UTF-8); Calc: group threaded
Comment 4 QA Administrators 2019-06-17 02:46:35 UTC
Dear Yousuf Philips (jay) (retired),

To make sure we're focusing on the bugs that affect our users today, LibreOffice QA is asking bug reporters and confirmers to retest open, confirmed bugs which have not been touched for over a year.

There have been thousands of bug fixes and commits since anyone checked on this bug report. During that time, it's possible that the bug has been fixed, or the details of the problem have changed. We'd really appreciate your help in getting confirmation that the bug is still present.

If you have time, please do the following:

Test to see if the bug is still present with the latest version of LibreOffice from https://www.libreoffice.org/download/

If the bug is present, please leave a comment that includes the information from Help - About LibreOffice.
 
If the bug is NOT present, please set the bug's Status field to RESOLVED-WORKSFORME and leave a comment that includes the information from Help - About LibreOffice.

Please DO NOT

Update the version field
Reply via email (please reply directly on the bug tracker)
Set the bug's Status field to RESOLVED - FIXED (this status has a particular meaning that is not 
appropriate in this case)


If you want to do more to help you can test to see if your issue is a REGRESSION. To do so:
1. Download and install oldest version of LibreOffice (usually 3.3 unless your bug pertains to a feature added after 3.3) from http://downloadarchive.documentfoundation.org/libreoffice/old/

2. Test your bug
3. Leave a comment with your results.
4a. If the bug was present with 3.3 - set version to 'inherited from OOo';
4b. If the bug was not present in 3.3 - add 'regression' to keyword


Feel free to come ask questions or to say hello in our QA chat: https://kiwiirc.com/nextclient/irc.freenode.net/#libreoffice-qa

Thank you for helping us make LibreOffice even better for everyone!

Warm Regards,
QA Team

MassPing-UntouchedBug